For the complete documentation index, see llms.txt. This page is also available as Markdown.

SlackSettings

Snyk API reference for the SlackSettings endpoints, including request parameters and response schemas

This document uses the REST API. For more details, see the Authentication for API page.

Create new Slack notification default settings.

post

Create new Slack notification default settings for a given tenant.

Required permissions

  • Install Apps (org.app.install)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Org ID

bot_idstring · uuidRequired

Bot ID

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
201

Default settings created successfully

application/vnd.api+json
post/orgs/{org_id}/slack_app/{bot_id}
POST /rest/orgs/{org_id}/slack_app/{bot_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 133

{
  "data": {
    "attributes": {
      "severity_threshold": "high",
      "target_channel_id": "slack://channel?team=team-id&id=channel-id"
    },
    "type": "slack"
  }
}
{
  "data": {
    "attributes": {
      "severity_threshold": "high",
      "target_channel_id": "slack://channel?team=team-id&id=channel-id",
      "target_channel_name": "channel-name"
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "slack"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "self": "https://example.com/api/this_resource"
  }
}

Get Slack integration default notification settings.

get

Get Slack integration default notification settings for the provided tenant ID and bot ID.

Required permissions

  • Install Apps (org.app.install)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Org ID

bot_idstring · uuidRequired

Bot ID

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
200

Default settings created successfully

application/vnd.api+json
get/orgs/{org_id}/slack_app/{bot_id}
GET /rest/orgs/{org_id}/slack_app/{bot_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "attributes": {
      "severity_threshold": "high",
      "target_channel_id": "slack://channel?team=team-id&id=channel-id",
      "target_channel_name": "channel-name"
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "slack"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "self": "https://example.com/api/this_resource"
  }
}

Remove the given Slack App integration

delete

Remove the given Slack App integration

Required permissions

  • Install Apps (org.app.install)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Org ID

bot_idstring · uuidRequired

Bot ID

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
204

Slack App integration successfully removed

delete/orgs/{org_id}/slack_app/{bot_id}
DELETE /rest/orgs/{org_id}/slack_app/{bot_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*

No content

Slack notification settings overrides for projects

get

Slack notification settings overrides for projects. These settings overrides the default settings configured for the tenant.

Required permissions

  • Install Apps (org.app.install)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Org ID

bot_idstring · uuidRequired

Bot ID

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
limitinteger · int32 · min: 10 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
Responses
200

Return default settings for a tenant

application/vnd.api+json
get/orgs/{org_id}/slack_app/{bot_id}/projects
GET /rest/orgs/{org_id}/slack_app/{bot_id}/projects?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "attributes": {
        "is_active": true,
        "severity_threshold": "high",
        "target_channel_id": "slack://channel?team=team-id&id=channel-id",
        "target_channel_name": "channel-name",
        "target_project_name": "snyk/goof:package.json"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "type": "slack"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Create a new Slack settings override for a given project.

post

Create Slack settings override for a project.

Required permissions

  • Install Apps (org.app.install)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Org ID

project_idstring · uuidRequired

Project ID

bot_idstring · uuidRequired

Bot ID

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
201

Project settings created successfully

application/vnd.api+json
post/orgs/{org_id}/slack_app/{bot_id}/projects/{project_id}
POST /rest/orgs/{org_id}/slack_app/{bot_id}/projects/{project_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 133

{
  "data": {
    "attributes": {
      "severity_threshold": "high",
      "target_channel_id": "slack://channel?team=team-id&id=channel-id"
    },
    "type": "slack"
  }
}
{
  "data": {
    "attributes": {
      "is_active": true,
      "severity_threshold": "high",
      "target_channel_id": "slack://channel?team=team-id&id=channel-id",
      "target_channel_name": "channel-name",
      "target_project_name": "snyk/goof:package.json"
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "slack"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "self": "https://example.com/api/this_resource"
  }
}

Update Slack notification settings for a project.

patch

Update Slack notification settings for a project.

Required permissions

  • Install Apps (org.app.install)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Org ID

bot_idstring · uuidRequired

Bot ID

project_idstring · uuidRequired

Project ID

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
200

Slack notification settings for a project updated successfully.

application/vnd.api+json
patch/orgs/{org_id}/slack_app/{bot_id}/projects/{project_id}
PATCH /rest/orgs/{org_id}/slack_app/{bot_id}/projects/{project_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 194

{
  "data": {
    "attributes": {
      "is_active": true,
      "severity_threshold": "high",
      "target_channel_id": "slack://channel?team=team-id&id=channel-id"
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "slack"
  }
}
{
  "data": {
    "attributes": {
      "is_active": true,
      "severity_threshold": "high",
      "target_channel_id": "slack://channel?team=team-id&id=channel-id",
      "target_channel_name": "channel-name",
      "target_project_name": "snyk/goof:package.json"
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "slack"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "self": "https://example.com/api/this_resource"
  }
}

Remove Slack settings override for a project.

delete

Remove Slack settings override for a project.

Required permissions

  • Install Apps (org.app.install)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Org ID

project_idstring · uuidRequired

Project ID

bot_idstring · uuidRequired

Bot ID

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
204

Slack settings override for the project removed successfully.

delete/orgs/{org_id}/slack_app/{bot_id}/projects/{project_id}
DELETE /rest/orgs/{org_id}/slack_app/{bot_id}/projects/{project_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*

No content

Last updated

Was this helpful?